exit /B
pause
pause
pause
@echo off
SETLOCAL EnableDelayedExpansion
REM :: add prefix to folder
for /D /r %%D in (*) do (
set "_newfoldername="
set "_newfoldername=%%~nxD"
set "_newfoldername=P5_ !_newfoldername!"
REM set "_newfoldername=!_newfoldername:P3_=P3_ !"
REM echo "!_newfoldername!"
echo. [ren] "%%D" "!_newfoldername!"
)
ENDLOCAL
exit /b

@echo off
SETLOCAL EnableDelayedExpansion
REM :: rename folder with " shader" string to remove it
for /D /r %%D in (*" shader"*) do (
set "_newfoldername="
set "_newfoldername=%%~nxD"
set "_newfoldername=!_newfoldername: shader=!"
REM echo "!_newfoldername!"
echo. .en "%%D" "!_newfoldername!"
)
ENDLOCAL
exit /b

@echo off
SETLOCAL EnableDelayedExpansion
REM :: rename folder with " shader " string to remove it
for /D /r %%D in (*" shader "*) do (
set "_newfoldername="
set "_newfoldername=%%~nxD"
set "_newfoldername=!_newfoldername: shader = !"
REM echo "!_newfoldername!"
ren "%%D" "!_newfoldername!"
)
ENDLOCAL
pause
exit /b


:: dir /b /s *" shader "*
:: for /D %D in (%cd%\*" shader "*) do echo "%D" "2_ %~nxD"
:: for /D /R %D in (%cd%\*" shader "*) do echo "%D"
:: for /D /r %D in (*" shader "*) do echo "%D"

:: for %%F in (..\ROMS\*.bin) do ( echo.%%F )
:: dir /b /s *.fv

:: echo.[ren] "%%D" "!_newfoldername!" "%~nxD"
